nxt

## Class Appendix.AbstractAppendix

- java.lang.Object
- - nxt.Appendix.AbstractAppendix

- All Implemented Interfaces:
    Appendix
  Direct Known Subclasses:
    Appendix.AbstractEncryptedMessage, Appendix.Message, Appendix.Phasing, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Attachment.AbstractAttachment
  Enclosing interface:
    Appendix

      public abstract static class Appendix.AbstractAppendix
      extends java.lang.Object
      implements Appendix

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface nxt.Appendix

      `Appendix.AbstractAppendix, Appendix.AbstractEncryptedMessage, Appendix.Encryptable, Appendix.EncryptedMessage, Appendix.EncryptToSelfMessage, Appendix.Message, Appendix.Phasing, Appendix.Prunable, Appendix.PrunableEncryptedMessage, Appendix.PrunablePlainMessage, Appendix.PublicKeyAnnouncement, Appendix.UnencryptedEncryptedMessage, Appendix.UnencryptedEncryptToSelfMessage, Appendix.UnencryptedPrunableEncryptedMessage`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fee` | `getBaselineFee(Transaction transaction)`
    `int` | `getBaselineFeeHeight()`
    `int` | `getFullSize()`
    `org.json.simple.JSONObject` | `getJSONObject()`
    `Fee` | `getNextFee(Transaction transaction)`
    `int` | `getNextFeeHeight()`
    `int` | `getSize()`
    `byte` | `getVersion()`
    `boolean` | `isPhased(Transaction transaction)`
    `void` | `putBytes(java.nio.ByteBuffer buffer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface nxt.Appendix

      `hasAppendix`

- - ### Method Detail

    - #### getSize

          public final int getSize()

      Specified by:
        `getSize` in interface `Appendix`

    - #### getFullSize

          public final int getFullSize()

      Specified by:
        `getFullSize` in interface `Appendix`

    - #### putBytes

          public final void putBytes(java.nio.ByteBuffer buffer)

      Specified by:
        `putBytes` in interface `Appendix`

    - #### getJSONObject

          public final org.json.simple.JSONObject getJSONObject()

      Specified by:
        `getJSONObject` in interface `Appendix`

    - #### getVersion

          public final byte getVersion()

      Specified by:
        `getVersion` in interface `Appendix`

    - #### getBaselineFeeHeight

          public int getBaselineFeeHeight()

      Specified by:
        `getBaselineFeeHeight` in interface `Appendix`

    - #### getBaselineFee

          public Fee getBaselineFee(Transaction transaction)

      Specified by:
        `getBaselineFee` in interface `Appendix`

    - #### getNextFeeHeight

          public int getNextFeeHeight()

      Specified by:
        `getNextFeeHeight` in interface `Appendix`

    - #### getNextFee

          public Fee getNextFee(Transaction transaction)

      Specified by:
        `getNextFee` in interface `Appendix`

    - #### isPhased

          public final boolean isPhased(Transaction transaction)

      Specified by:
        `isPhased` in interface `Appendix`